${eCAP_AV_SDK_BOILERPLATE}

#ifndef ${eCAP_AV_SDK_GUARD}_H
#define ${eCAP_AV_SDK_GUARD}_H

// this file should be included first from all adapter sources

#ifdef HAVE_CONFIG_H
#include "autoconf.h"
#endif

#ifdef HAVE_STDINT_H
#include <stdint.h>
#endif

#include <libecap/common/forward.h>

namespace Adapter {

    class Answers;
    class Cfgtor;
    class FileBuffer;
    class Service;
    class Timeout;
    class TricklingConfig;
    class Xaction;

}

typedef uint64_t Size; // size of anything potentially larger than one malloc()

#endif /* ${eCAP_AV_SDK_GUARD}_H */
